Download it now!
Bug 124464 - LIBO 6.2.3.1 regression. Impress presentation cannot be closed with KDE5 vcl plugin
Summary: LIBO 6.2.3.1 regression. Impress presentation cannot be closed with KDE5 vcl ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.2.4
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-04-01 08:27 UTC by sergio.callegari
Modified: 2019-12-04 09:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sergio.callegari 2019-04-01 08:27:14 UTC
Description:
Until long ago, there were issues in starting presentations in LibO6.2 with the VCL5 plugin.

With LibO 6.2.3.1 this has changed. The presentation starts nicely, but the situation has possibly worsened, since the presentation cannot be closed. Pressing ESC during the presentation leaves around a "soffice.bin" showing a slide. The window has a regular toolbar but does not react to the close button and cannot be closed in any way. If you restart and re-stop the presentation, you get an additional "soffice.bin <2>" window and so on.

Steps to Reproduce:
See description

Actual Results:
See description

Expected Results:
See description


Reproducible: Always


User Profile Reset: No



Additional Info:
[Information automatically included from LibreOffice]
Locale: en-US
Module: PresentationDocument
[Information guessed from browser]
OS: Linux (All)
OS is 64bit: yes
Comment 1 Michael Weghorn 2019-04-01 15:02:46 UTC
I can reproduce with

Version: 6.2.4.0.0+
Build ID: c3eeb421526f284419e90d2c4c4da5b0d7bbcc0e
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-03-31_10:03:42
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

but not with current master:

Version: 6.3.0.0.alpha0+
Build ID: e6f7e778aa0a91e567e6f7d19fecf4af6b8d089f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

This is almost certainly fixed by https://gerrit.libreoffice.org/#/c/68852/ , s.a. this comment there:

> Katarina Behrens
> Mar 7 1:08 PM
> 
> Patch Set 2:
> 
> Heh I discovered a similar issue in slideshow: open any presentation in Impress, start slideshow, click thru its end, Esc. The fullscreen window initially disappears, but quickly reappears and this time not as a fullscreen but as a regular window w/ decorations. This second incarnation of the window can't be closed. 
> When I undid the initial fix of tdf#123406, it was okay again

The fix hasn't been cherry-picked to libreoffice-6-2 so far, and causes merge-conflicts when trying to do so, so this would need a closer look.
Comment 2 Katarina Behrens (Inactive) 2019-04-01 16:11:37 UTC
Bummer
Comment 3 Katarina Behrens (Inactive) 2019-04-01 16:13:52 UTC
Lemme take care of this
Comment 5 Michael Weghorn 2019-04-02 09:27:13 UTC
Thanks!
Comment 6 wilterdutt 2019-12-04 09:51:51 UTC Comment hidden (spam)